Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class ObjectInstance

    java.lang.Object
      |
      +--javax.management.ObjectInstance

public class ObjectInstance
extends java.lang.Object
implements java.io.Serializable

This class is used for representing an object instance; that is, an object name and class.

See Also:
  Serialized Form

Constructor Summary
`ObjectInstance(ObjectName objectName, java.lang.String className)` Allows an object instance to be created given an object name and the full class name, including the package name.
`ObjectInstance(java.lang.String objectName, java.lang.String className)` Allows an object instance to be created given a string representation of an object name and the full class name, including the package name.

Method Summary
`boolean` | `equals(java.lang.Object object)` Compares the current object instance with another object instance.
`java.lang.String` | `getClassName()` Returns the class part
`ObjectName` | `getObjectName()` Returns the object name part.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectInstance

    public ObjectInstance(java.lang.String objectName,
                          java.lang.String className)
                   throws MalformedObjectNameException

  Allows an object instance to be created given a string representation of an object name and the full class name, including the package name.
  Parameters:
    `objectName` - A string representation of the object name.
    `className` - The full class name, including the package name, of the object instance.
  Throws:
    MalformedObjectNameException - The string passes in parameter does not have the right format.

### ObjectInstance

    public ObjectInstance(ObjectName objectName,
                          java.lang.String className)

  Allows an object instance to be created given an object name and the full class name, including the package name.
  Parameters:
    `objectName` - The object name.
    `className` - The full class name, including the package name, of the object instance.

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Compares the current object instance with another object instance.
  Parameters:
    `object` - The object instance that the current object instance is to be compared with.
  Returns:
    True if the two object instances are equal, otherwise false.
  Overrides:
    equals in class java.lang.Object

### getObjectName

    public ObjectName getObjectName()

  Returns the object name part.

### getClassName

    public java.lang.String getClassName()

  Returns the class part

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD